<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: I2c_master_addr16 Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">I2c_master_addr16 Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for I2c_master_addr16:</div>
<div class="dyncontent">
<div class="center"><img src="classI2c__master__addr16__inherit__graph.png" border="0" usemap="#I2c__master__addr16_inherit__map" alt="Inheritance graph"/></div>
<map name="I2c__master__addr16_inherit__map" id="I2c__master__addr16_inherit__map">
<area shape="rect" id="node3" href="classWIB__FEMB__COMM.html" title="WIB_FEMB_COMM" alt="" coords="24,155,171,181"/><area shape="rect" id="node2" href="classDIF__IO__BIR.html" title="DIF_IO_BIR" alt="" coords="48,5,147,32"/><area shape="rect" id="node4" href="classWIB__FEMB__COMM__TOP.html" title="WIB_FEMB_COMM_TOP" alt="" coords="5,229,189,256"/><area shape="rect" id="node5" href="classWIB.html" title="WIB" alt="" coords="73,304,121,331"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classI2c__master__addr16-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classI2c__master__addr16_1_1behavior.html">behavior</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:a0b7da21cae871e032ab6106ea7c65acb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b7da21cae871e032ab6106ea7c65acb"></a>
<a class="el" href="classI2c__master__addr16.html#a0b7da21cae871e032ab6106ea7c65acb">ACK_DISABLE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a58a4241edcd5f5f1917177b2539107a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a58a4241edcd5f5f1917177b2539107a0"></a>
<a class="el" href="classI2c__master__addr16.html#a58a4241edcd5f5f1917177b2539107a0">SCL_WIDTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">25</span> <span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aa7b7040844189161771c36cf6bbf172c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7b7040844189161771c36cf6bbf172c"></a>
<a class="el" href="classI2c__master__addr16.html#aa7b7040844189161771c36cf6bbf172c">rst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab2d7ae60500687e859d5f84200090aab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab2d7ae60500687e859d5f84200090aab"></a>
<a class="el" href="classI2c__master__addr16.html#ab2d7ae60500687e859d5f84200090aab">sys_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a70295405b66a727e133a8312c369f238"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a70295405b66a727e133a8312c369f238"></a>
<a class="el" href="classI2c__master__addr16.html#a70295405b66a727e133a8312c369f238">SCL</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8947c2cf8f86132e3c894bc9d6a3d946"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8947c2cf8f86132e3c894bc9d6a3d946"></a>
<a class="el" href="classI2c__master__addr16.html#a8947c2cf8f86132e3c894bc9d6a3d946">SDA_P</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a75350cea4d791fbee291f98c59d5da30"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75350cea4d791fbee291f98c59d5da30"></a>
<a class="el" href="classI2c__master__addr16.html#a75350cea4d791fbee291f98c59d5da30">SDA_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4043d4df90c29bebd0f1f1ee0240ad0e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4043d4df90c29bebd0f1f1ee0240ad0e"></a>
<a class="el" href="classI2c__master__addr16.html#a4043d4df90c29bebd0f1f1ee0240ad0e">I2C_WR_STRB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab3cf0b2e89c1c8aaa767337e6eab854c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3cf0b2e89c1c8aaa767337e6eab854c"></a>
<a class="el" href="classI2c__master__addr16.html#ab3cf0b2e89c1c8aaa767337e6eab854c">I2C_RD_STRB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6c768ffff412775f9cd33c024795a996"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c768ffff412775f9cd33c024795a996"></a>
<a class="el" href="classI2c__master__addr16.html#a6c768ffff412775f9cd33c024795a996">I2C_DEV_ADDR</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">6</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a76864edbf3f98a185b198c5b6d8b5b3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76864edbf3f98a185b198c5b6d8b5b3a"></a>
<a class="el" href="classI2c__master__addr16.html#a76864edbf3f98a185b198c5b6d8b5b3a">I2C_NUM_BYTES</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7c0943e76157f9e5d7e2d468221050b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c0943e76157f9e5d7e2d468221050b6"></a>
<a class="el" href="classI2c__master__addr16.html#a7c0943e76157f9e5d7e2d468221050b6">I2C_ADDRESS</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8d1e42a89f41a227ec356cfb445df792"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8d1e42a89f41a227ec356cfb445df792"></a>
<a class="el" href="classI2c__master__addr16.html#a8d1e42a89f41a227ec356cfb445df792">I2C_EN_A16</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a49668080710b3a880b344042d1beb6ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a49668080710b3a880b344042d1beb6ee"></a>
<a class="el" href="classI2c__master__addr16.html#a49668080710b3a880b344042d1beb6ee">I2C_DOUT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af499681712604fa43eda5f159632be33"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af499681712604fa43eda5f159632be33"></a>
<a class="el" href="classI2c__master__addr16.html#af499681712604fa43eda5f159632be33">I2C_DIN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a552a1c4aa4ca7db352337731d6f78950"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a552a1c4aa4ca7db352337731d6f78950"></a>
<a class="el" href="classI2c__master__addr16.html#a552a1c4aa4ca7db352337731d6f78950">I2C_BUSY</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abe611f5a82178613f10047439dea0461"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe611f5a82178613f10047439dea0461"></a>
<a class="el" href="classI2c__master__addr16.html#abe611f5a82178613f10047439dea0461">I2C_DEV_AVL</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab66db6ba2589874f09193a7632466965"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab66db6ba2589874f09193a7632466965"></a>
<a class="el" href="classI2c__master__addr16.html#ab66db6ba2589874f09193a7632466965">SDA</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="FEMB__SC_2I2c__master__addr16_8vhd_source.html#l00031">31</a> of file <a class="el" href="FEMB__SC_2I2c__master__addr16_8vhd_source.html">I2c_master_addr16.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/FEMB_SC/<a class="el" href="FEMB__SC_2I2c__master__addr16_8vhd_source.html">I2c_master_addr16.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/i2c/<a class="el" href="i2c_2I2c__master__addr16_8vhd_source.html">I2c_master_addr16.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
